Implementation of an adapted quadrature method in GIntegral

01/20/2023 04:47 PM - Knödlseder Jürgen

Status: Closed Start date: 01/20/2023

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

So far there is no adaptive quadrature method in GIntegral for integrating functions with irregular spacing. Such a method should be

implemented.

History

#1 - 01/20/2023 08:04 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

I added a GIntegral::adaptive_gauss_kronrod() method and implemented some unit tests. The method seems to work as expected.

#2 - 01/21/2023 05:42 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Code merged into devel.
